<template>
    <div class="grid-container">
        <v-layout style="margin-top: 60px;">
            <v-footer class="text-center d-flex flex-column" style="background-color: rgb(0, 0, 169); color: white;">
                <div>
                    <v-btn v-for="icon in icons" :key="icon" class="mx-4" :icon="icon" variant="text"></v-btn>
                </div>

                <div class="pt-0">
                    พรรคพลังประชารัฐ สำนักงานใหญ่: 547 ถนน รัชดาภิเษก แขวงจันทรเกษม เขต จตุจักร กรุงเทพ 10900
                </div>

                <v-divider></v-divider>

                <div>{{ new Date().getFullYear() }} — <strong>พลังประชารัฐ</strong></div>
            </v-footer>
        </v-layout>
    </div>
</template>
  
<script>
export default {
    data: () => ({
        icons: [
            'mdi-facebook',
            'mdi-twitter',
            'mdi-linkedin',
            'mdi-instagram',

        ],
    }),

};
</script>
  
<style scoped>
.grid-container {
     display: grid;
     grid-column-gap: 0.5rem;
     grid-row-gap: 0.5;
 }

 @media (min-width: 659px) {
     .grid-container {
         grid-template-columns: repeat(1, 1fr);
     }
 }

 @media (min-width: 1902px) {
     .grid-container {
         grid-template-columns: repeat(3, 1fr);
     }
 }
 </style>